package com.learnandroid.layoutdemo;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;

public class LayoutDemo extends ListActivity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setTitle("Demo from www.learn-android.com");
        ListAdapter adapter = createAdapter();
        setListAdapter(adapter);
    }

	private ListAdapter createAdapter() {
		String[] layoutList = new String[] {
				"AbsoluteLayout",
				"FrameLayout",
				"LinearLayout",
				"RelativeLayout",
				"TableLayout"
		};
		
		ListAdapter adapter = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, layoutList);
		
		return adapter;
	}
	
	@Override
	protected void onListItemClick(ListView l, View v, int position, long id) {
		switch(position) {
			case 0: startActivity(new Intent(this, AbsoluteLayoutDemo.class)); break;
			case 1: startActivity(new Intent(this, FrameLayoutDemo.class)); break;
			case 2: startActivity(new Intent(this, LinearLayoutDemo.class)); break;
			case 3: startActivity(new Intent(this, RelativeLayoutDemo.class)); break;
			case 4: startActivity(new Intent(this, TableLayoutDemo.class)); break;
		}
	}
}